Permalink
Browse files

require 'socket' in spec/spec_helper.rb

Without this line, Spork::Forker::UNIXSocket is
reported as Uninitialized Constant.
  • Loading branch information...
1 parent 035751b commit 9bd645239435946401abb758fd2d175288ae1fab @kuroda kuroda committed Jul 10, 2012
Showing with 2 additions and 1 deletion.
  1. +1 −1 rails-i18n.gemspec
  2. +1 −0 spec/spec_helper.rb
View
@@ -21,5 +21,5 @@ Gem::Specification.new do |s|
s.add_development_dependency "rails", ">= 3.0.0"
s.add_development_dependency "rspec-rails", ">= 2.7.0"
s.add_development_dependency "i18n-spec", ">= 0.2.2"
- s.add_development_dependency "spork", "~> 1.0rc"
+ s.add_development_dependency "spork", "= 1.0.0rc2"
end
View
@@ -5,6 +5,7 @@
require 'rails_i18n/unicode'
require 'i18n/core_ext/hash'
require 'active_support/core_ext/kernel/reporting'
+require 'socket'
require 'support/fake_app'
RSpec.configure do |config|

0 comments on commit 9bd6452

Please sign in to comment.